/// <reference types="react" />
import * as React from 'react';
export interface DrawerProps {
    children?: JSX.Element;
    content: JSX.Element;
    tabletContent?: JSX.Element;
    useTabledMode?: boolean;
    tabledModeMinWidth?: number;
    onOpenStart?: () => void;
    onCloseStart?: () => void;
}
export interface State {
    isOpen: boolean;
    height: number;
    width: number;
}
export default class DrawerAndroid extends React.Component<DrawerProps, State> {
    static childContextTypes: {
        drawer: any;
    };
    state: {
        isOpen: boolean;
        width: number;
        height: number;
    };
    refs: {
        [string: string]: any;
    };
    onDimensionsChangeListener: any;
    getChildContext(): {
        drawer: {
            toggle: any;
            close: any;
            isOpen: any;
        };
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    onDimensionsChange(): void;
    isOpen(): boolean;
    toggle(): void;
    close(): void;
    open(): void;
    onDrawerClose(): void;
    onDrawerOpen(): void;
    render(): JSX.Element | null;
}
